#!/usr/bin/env node

const currentNodeVersion = process.versions.node;
const semver = currentNodeVersion.split('.');
const major = semver[0];

const { run } = require('./md5')

if (major < 10) {
  console.error(
    'You are running Node ' +
    currentNodeVersion +
    '.\n' +
    'Create React App requires Node 10 or higher. \n' +
    'Please update your version of Node.'
  );
  process.exit(1);
}

run();
